<template>
  <span :class="auctionEndedStyle">{{ dateFrom }}</span>
</template>

<script>
import moment from 'moment'
import { ORDER_STATUS } from '@/resources/enum'

export default {
  name: 'dateFrom',
  props: {
    item: {
      type: Object,
      default: () => {}
    },
    isColor: {
      type: Boolean,
      default: true
    }
  },
  computed: {
    dateFrom () {
      return this.item.fromDt ? moment(this.item.fromDt).locale('ru').format('D MMM') : '–'
    },
    auctionEndedStyle () {
      return {'-light-raspberry-red': [ORDER_STATUS.AUCTION_ENDED, ORDER_STATUS.CANCELLED].includes(ORDER_STATUS[this.item.orderStatus]) && this.isColor}
    }
  }
}
</script>
